<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:java="http://xml.apache.org/xslt/java" xmlns:ss="urn:schemas-microsoft-com:office:spreadsheet">

  <xsl:output method="xml" encoding="UTF-8"/>

  <xsl:template match="GTIResponse">
    <Workbook xmlns="urn:schemas-microsoft-com:office:spreadsheet"
	      xmlns:o="urn:schemas-microsoft-com:office:office"
	      xmlns:x="urn:schemas-microsoft-com:office:excel"
	      xmlns:ss="urn:schemas-microsoft-com:office:spreadsheet"
	      xmlns:html="http://www.w3.org/TR/REC-html40">
      <DocumentProperties>
        <Author>Greenstone Translator Interface</Author>
	<LastAuthor>Greenstone Translator Interface</LastAuthor>
	<Created>2003-05-05T01:30:36Z</Created>
	<Company>New Zealand Digital Library Project</Company>
	<Version>10.2625</Version>
      </DocumentProperties>
      <OfficeDocumentSettings>
        <DownloadComponents/>
	<LocationOfComponents HRef="blah"/>
      </OfficeDocumentSettings>
      <Styles>
	<Style ss:ID="Default" ss:Name="Normal">
	  <Alignment ss:Vertical="Top"/>
	  <Borders/>
	  <Font/>
	  <Interior/>
	  <NumberFormat/>
	  <Protection/>
	</Style>
	<Style ss:ID="Heading">
          <Font x:Family="Swiss" ss:Bold="1"/>
        </Style>
	<Style ss:ID="TextCell">
	  <Alignment ss:Vertical="Bottom" ss:WrapText="1"/>
	  <Font ss:FontName="Arial Unicode MS"/>
	</Style>
      </Styles>
      <Worksheet ss:Name="Greenstone Translation">
	<Table>
	  <Column ss:Width="250" ss:Index="1" ss:AutoFitWidth="0"/>
          <Column ss:Width="1000" ss:Index="2" ss:AutoFitWidth="1"/>
	  <Row>
	    <Cell ss:StyleID="Heading"><Data ss:Type="String">Key</Data></Cell>
	    <Cell ss:StyleID="Heading"><Data ss:Type="String">Text</Data></Cell>
	  </Row>
	  <xsl:apply-templates/>
	</Table>
      </Worksheet>
    </Workbook>
  </xsl:template>


  <xsl:template match="ChunksRequiringTranslation">
    <xsl:apply-templates>
      <xsl:sort select="@key"/>
    </xsl:apply-templates>
  </xsl:template>


  <xsl:template match="ChunksRequiringUpdating">
    <xsl:apply-templates>
      <xsl:sort select="@key"/>
    </xsl:apply-templates>
  </xsl:template>


  <xsl:template match="Chunk">
    <Row xmlns="urn:schemas-microsoft-com:office:spreadsheet"/>

    <Row xmlns="urn:schemas-microsoft-com:office:spreadsheet">
      <Cell>
        <Data ss:Type="String">source::<xsl:value-of select="@key"/></Data>
      </Cell>
      <Cell ss:StyleID="TextCell">
        <Data ss:Type="String">
          <xsl:for-each select="SourceFileText">
	    <xsl:variable name="tempText1" select='java:org.nzdl.gsdl.ApplyXSLT.replaceAll(., "\n", "&amp;#10;&#10;")'/>
	    <xsl:variable name="tempText2" select='java:org.nzdl.gsdl.ApplyXSLT.replaceAll($tempText1, "&#60;", "&amp;lt;")'/>
	    <xsl:variable name="escapedText" select='java:org.nzdl.gsdl.ApplyXSLT.replaceAll($tempText2, "&#62;", "&amp;gt;")'/>
	    <xsl:value-of select='$escapedText' disable-output-escaping="yes"/>
          </xsl:for-each>
	</Data>
      </Cell>
    </Row>

    <Row xmlns="urn:schemas-microsoft-com:office:spreadsheet">
      <Cell>
        <Data ss:Type="String">target::<xsl:value-of select="@key"/></Data>
      </Cell>
      <Cell ss:StyleID="TextCell">
        <Data ss:Type="String">
          <xsl:for-each select="TargetFileText">
	    <xsl:variable name="tempText1" select='java:org.nzdl.gsdl.ApplyXSLT.replaceAll(., "\n", "&amp;#10;&#10;")'/>
	    <xsl:variable name="tempText2" select='java:org.nzdl.gsdl.ApplyXSLT.replaceAll($tempText1, "&#60;", "&amp;lt;")'/>
	    <xsl:variable name="escapedText" select='java:org.nzdl.gsdl.ApplyXSLT.replaceAll($tempText2, "&#62;", "&amp;gt;")'/>
	    <xsl:value-of select='$escapedText' disable-output-escaping="yes"/>
          </xsl:for-each>
	</Data>
      </Cell>
    </Row>
  </xsl:template>

</xsl:stylesheet>
